<?php

require_once __DIR__."/../vendor/autoload.php";

use NoccyLabs\VarType\ValueType;

$mock_config = [
    "foo" => ValueType::int(0),
    "bar" => ValueType::bool(false),
    "baz" => ValueType::enum("foo",["foo","bin","baz"]),
];
function set_config($key,$value) {
    global $mock_config;
    if (!$mock_config[$key]->setValue($value)) {
        echo "Bad value for {$key}\n";
    }
}


set_config("foo", 42);
set_config("bar", true);
set_config("bar", 42);
set_config("baz", "bin");
set_config("baz", "barf");

var_dump($mock_config);

var_dump($mock_config['baz']->getConf());
